(This is a template to report errors and bugs. Please replace the text in [brackets] with the corresponding information about the bug. If any field is not relevant, briefly state why. )

Hi @vagudets,

#### Expected Behavior
[Briefly explain what you were trying to do and what you wanted/expected to happen.]

#### Current Behavior
[Explain what actually happened. If you got any error messages, paste them here. Remember to use code blocks to format the messages correctly, so that they are easy to read.]

```
Example:
[ERROR!]: Something went really wrong!
This is the error message that showed up on the terminal.
```

#### Possible Solutions?
[If you have an idea of what could be causing the bug, how to solve it, or an example with code that gets the expected behavior, write it here.]

#### Steps To Reproduce
- Recipe: 
[The path to the recipe you were using.]

- Script:
[The script you were using. Paste it in a code block or include a link. If the script is long or has a lot of steps, please reduce it to the minimal code necessary to reproduce the problem, and open a new R session to test that you can run it and the error is the same before you open the issue.]

- Branch/SUNSET Version:
[The name of the branch you are using. If the branch is only in your local copy of the repository, please make sure that you include the path.]

- Environment:
[Where and how you were running SUNSET. On your Workstation, Nord3v2, an external HPC machine? Were you using the modules or the conda environment?]

#### Other Relevant Information
[Feel free to include screenshots (if the bug is related to plots), paths to output files, small examples, or any other context or information that might seem relevant.]

