#!/bin/bash
#SBATCH -n 50
#SBATCH -N 1
#SBATCH -t 4:00:00
#SBATCH -J sunset_multimodel
#SBATCH -o sunset_multimodel-%J.out
#SBATCH -e sunset_multimodel-%J.err
#SBATCH --account=bsc32

#### --qos=acc_bsces

source /gpfs/projects/bsc32/software/suselinux/11/software/Miniconda3/4.7.10/etc/profile.d/conda.sh
conda activate /gpfs/projects/bsc32/repository/apps/conda_envs/SUNSET-env_2.0.0

#Rscript /home/bsc/bsc032339/sunset/full_ecvs_anomalies.R /home/bsc/bsc032339/sunset/recipe_tas.yml

#Rscript /home/bsc/bsc032339/sunset/full_ecvs_calibration.R /home/bsc/bsc032339/sunset/recipe_ecvs_cal_seas.yml

Rscript /home/bsc/bsc032339/sunset/full_ecvs_multimodel_calibrated.R /home/bsc/bsc032339/sunset/recipe_ecvs_cal_mul_seas.yml #full_ecvs_multimodel_anomalies.R #full_NAO.R #ecvs_multimodel_anomalies.R

