#!/bin/bash
#SBATCH -n 64 
#SBATCH -N 1
#SBATCH -t 10:00:00
#SBATCH -J sunset_subprlr
#SBATCH -o sunset_subprlr-%J.out
#SBATCH -e sunset_subprlr-%J.err
#SBATCH --account=bsc32
#SBATCH --qos=gp_bsces
#SBATCH --constraint=lowmem

#### --qos=acc_bsces

source /gpfs/projects/bsc32/software/suselinux/11/software/Miniconda3/4.7.10/etc/profile.d/conda.sh
conda activate /gpfs/projects/bsc32/repository/apps/conda_envs/SUNSET-env_2.0.0

#Rscript /home/bsc/bsc032339/sunset/full_ecvs_anomalies.R /home/bsc/bsc032339/sunset/recipe_tas.yml

Rscript /home/bsc/bsc032339/full_test.R recipe_prlr_cal_subseas.yml
#Rscript /home/bsc/bsc032339/sunset/full_ecvs_multimodel_anomalies.R /home/bsc/bsc032339/sunset/recipe_ecvs_ano_mul_seas.yml


