#!/bin/bash
#SBATCH -n 112
#SBATCH -N 1
#SBATCH -t 3:00:00
#SBATCH -J sunset_ecmwf
#SBATCH -o sunset_ecmwf-%J.out
#SBATCH -e sunset_ecmwf-%J.err
#SBATCH --account=bsc32
#SBATCH --qos=gp_bsces
#SBATCH --constraint=lowmem


#### --qos=acc_bsces

source /gpfs/projects/bsc32/software/suselinux/11/software/Miniconda3/4.7.10/etc/profile.d/conda.sh
conda activate /gpfs/projects/bsc32/repository/apps/conda_envs/SUNSET-env_2.0.0

Rscript /home/bsc/bsc032339/sunset/full_ecvs_calibration.R /home/bsc/bsc032339/sunset/recipe_ecvs_cal_seas.yml

#Rscript /home/bsc/bsc032339/sunset/full_ecvs_anomalies.R /home/bsc/bsc032339/sunset/recipe_ecvs_ano_seas.yml

#Rscript /home/bsc/bsc032339/sunset/full_ecvs_multimodel_calibrated.R /home/bsc/bsc032339/sunset/recipe_tas.yml #full_ecvs_multimodel_anomalies.R #full_NAO.R #ecvs_multimodel_anomalies.R

